# Interface SchemaEvents

Events emitted by the data/Schema!Schema class.

interface SchemaEvents {
after-add: CollectionAfterAddEventHandler<FieldExtension>;
after-remove: CollectionAfterRemoveEventHandler<FieldExtension>;
before-add: CollectionBeforeAddEventHandler<FieldExtension>;
before-remove: CollectionBeforeRemoveEventHandler<FieldExtension>;
change: CollectionChangeEventHandler<FieldExtension>;
property-change: {
property: keyof SchemaProperties;
};
}

#### Hierarchy (view full)

- SettingsEvents<SchemaProperties>
  - SchemaEvents

#####
Index

### Properties

after-add
after-remove
before-add
before-remove
change
property-change

##
Properties

### after-add

after-add: CollectionAfterAddEventHandler<FieldExtension>

Emitted after a field extension is added to the collection.

### after-remove

after-remove: CollectionAfterRemoveEventHandler<FieldExtension>

Emitted after a field extension is removed from the collection.

### before-add

before-add: CollectionBeforeAddEventHandler<FieldExtension>

Emitted before a field extension is added to the collection.

### before-remove

before-remove: CollectionBeforeRemoveEventHandler<FieldExtension>

Emitted before a field extension is removed from the collection.

### change

change: CollectionChangeEventHandler<FieldExtension>

Emitted when a field extension in the collection changes.

### property-change

property-change: {
property: keyof SchemaProperties;
}

Fires when a setting is changed, either locally or by a parent settings instance. The event object contains the name of the setting that changed.

Inherited from SettingsEvents.property-change